<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Bootstrap - Prebuilt Layout</title>
    <!-- Bootstrap -->
    <link href="../../static/css/bootstrap.css" rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
</head>

<body>
<div th:include="administratorView/fragments::navigation"></div>
<div class="row">
    <div class="col-lg-3" style="margin-left: 2%">
        <div class="form-group">
            <input type="text" id="search"/>
            <button style="margin: 1%" type="submit" class="btn btn-toolbar" th:onclick="'javascript:getMotCle();'">
                Rechercher
            </button>
        </div>
        <a th:href="@{../auteur/formI}" style="margin: 1.5%">
            <button class="btn btn-toolbar">Ajouter un auteur</button>
        </a>
    </div>
    <div class="col-lg-8">
        <div class="row">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Nom</th>
                    <th>Email</th>
                    <th>Nationnalité</th>
                    <th>Modifier/Supprimer</th>
                </tr>
                </thead>
                <tbody th:each="auteur : ${auteurs}">
                <tr>
                    <th scope="row" th:text="${auteur.id}"></th>
                    <td th:text="${auteur.nom}"></td>
                    <td th:text="${auteur.email}"></td>
                    <td th:text="${auteur.nationalite}"></td>
                    <td>
                        <a th:href="@{../auteur/formU(id=${auteur.id})}">Modifier</a>
                        <a th:href="@{../auteur/delete(id=${auteur.id})}">Supprimer</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<hr/>
<div th:include="administratorView/fragments::footer"></div>

<script type="text/javascript">
    function getMotCle() {
        motcle = document.getElementById("search").value;
        document.location = "http://localhost:8080/auteur/search?keyWord=" + motcle;
    }
</script>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="../../static/js/jquery-1.11.2.min.js" th:href="@{/js/jquery-1.11.2.min.js}"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../../static/js/bootstrap.js" th:href="@{/js/bootstrap.js}"></script>
</body>
</html>
